Subject: [os2genau_digest] No. 558
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 7 Mar 2003 00:02:00 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 06 March 2003
 Number  558
**************************************************

Subjects for today
 
1  Re: [os2genau] OS/2 Java Corner update! : Roger Troost" <rjj.troost at hccnet.nl>
2  Re: [os2genau] OS/2 Java Corner update! : Voytek Eymont <voytek at sbt dot net dot au>
3  Re: [os2genau] OS/2 Java Corner update! : Roger Troost" <rjj.troost at hccnet.nl>
4  Re: [os2genau] OS/2 Java Corner update! : Roger Troost" <rjj.troost at hccnet.nl>
5  Re: [os2genau] Windowed dos sessions?? : Chris_Neeson at compuserve dot com
6  Re: [os2genau] OS/2 Java Corner update! : Kris Steenhaut <kris.steenhaut at hccnet.nl>

**= Email   1 ==========================**

Date:  Wed, 5 Mar 2003 20:48:50 +0100
From:  "Roger Troost" <rjj.troost at hccnet.nl>
Subject:  Re: [os2genau] OS/2 Java Corner update!

OS/2 Java Corner is updated!
 
        http://home.hccnet.nl/rjj.troost/japp4os2.htm
 
Thanks to numerous contributions from visitors it now contains well over 160
entries, each with its version no., the Java version required, a short
description and its url, sorted in the categories: 
 
        - Java for OS/2 and eCS*
        - FAQs, tutorials and books
        - Java resources and software sites
        - Communication
        - Development
        - Games
        - Graphic and image
        - Multimedia
        - Scientific
        - Various
 
*Innotek's recent OS/2 Kit for Java (containing Java 1.4.1) has been added!
 
All applications have been reported to run well with IBM Java 1.1.8, 1.3.0,
1.3.1 or 1.4.x for OS/2 and eComStation. For your convenience, all new entries
are in bold and red.
 
Please feel free to send me your additions, corrections, wishes or other
comments!
 
Kind regards,

-- 
Roger Troost
ProNews2 / eComStation
Visit OS/2 Java Corner at http://home.hccnet.nl/rjj.troost/japp4os2.htm

--
Roger Troost
Polarbar / eComStation
Visit OS/2 Java Corner at http://home.hccnet.nl/rjj.troost/japp4os2.htm
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 6 Mar 2003 14:02:37
From:  Voytek Eymont <voytek at sbt dot net dot au>
Subject:  Re: [os2genau] OS/2 Java Corner update!

** Reply to note from "Roger Troost" <rjj.troost at hccnet.nl> Wed, 5 Mar 2003 20:48:50 +0100

> *Innotek's recent OS/2 Kit for Java (containing Java 1.4.1) has been added!

thanks for the update

from a Java end user POV:

should I just get IBM's 1.3x ?

or, it's beneficial to get the 1.4 ?

is the current Innotek' 1.4x worth downloading for an end user like me ?

apart from jSyncManager, perhaps PolarBar, and the various OS/2  Java GUI
utilities, I don't knowingly use other Java applications, but, with Java
1.4 :

'will it improve my internet experience' ?
(internet banking ?)

Voytek Eymont
SBT Information Systems Pty Ltd
http://www.sbt dot net dot au/links/
phone +61-2 9310-1144 fax +61-2 9310-1118 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 6 Mar 2003 10:41:47 +0100
From:  "Roger Troost" <rjj.troost at hccnet.nl>
Subject:  Re: [os2genau] OS/2 Java Corner update!

Hi Voytek,

** Reply to message from Voytek Eymont <voytek at sbt dot net dot au> on Thu, 6 Mar 2003
14:02:37

> from a Java end user POV:
> should I just get IBM's 1.3x ?
> or, it's beneficial to get the 1.4 ?

IBM's 1.3.x is mature but no longer free of charge whereas Innotek's OS/2 Kit
for Java is (currently) beta but free of charge. In addition, newer
applications may require Java 1.4.x.

> is the current Innotek' 1.4x worth downloading for an end user like me ?

IMHO I think it is. Just download and install the JRE (not the SDK). However,
*don't replace* any current IBM Java 1.1.8 or 1.3.x. Just make Java 1.4.1
temporarily active whenever you need it by setting the necessary variables and
paths from a java14.cmd file.

> apart from jSyncManager, perhaps PolarBar, and the various OS/2  Java GUI
> utilities, I don't knowingly use other Java applications, but, with Java 1.4 :
> 
> 'will it improve my internet experience' ?
> (internet banking ?)

Currently (I believe) there is no Java 1.4  plugin for Mozilla or Netscape. So
if you really need this I think it's best to wait or go for IBM Java 1.3.x.
However, I believe most internet banking uses JavaScript which has no relation
whatsoever with Sun, IBM or any other Java version. With respect to your Java
applications: if they run well with your current Java version, I see no reason
to 'upgrade' to Java 1.4.1. However, if you would like to run (future)
applications that need Java 1.4.x, download and try Innotek's OS/2 Kit for Java.

You see, there is no simple Yes or No answer. it al depends on what you would
like to be able do. I hope this may have helped you to decide for yourself what
you need.

Kind regards,

--
Roger Troost
Polarbar / eComStation
Visit OS/2 Java Corner at http://home.hccnet.nl/rjj.troost/japp4os2.htm
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 6 Mar 2003 10:43:03 +0100
From:  "Roger Troost" <rjj.troost at hccnet.nl>
Subject:  Re: [os2genau] OS/2 Java Corner update!

Hi Voytek,

** Reply to message from Voytek Eymont <voytek at sbt dot net dot au> on Thu, 6 Mar 2003
14:02:37

> from a Java end user POV:
> should I just get IBM's 1.3x ?
> or, it's beneficial to get the 1.4 ?

IBM's 1.3.x is mature but no longer free of charge whereas Innotek's OS/2 Kit
for Java is (currently) beta but free of charge. In addition, newer
applications may require Java 1.4.x.

> is the current Innotek' 1.4x worth downloading for an end user like me ?

IMHO I think it is. Just download and install the JRE (not the SDK). However,
*don't replace* any current IBM Java 1.1.8 or 1.3.x. Just make Java 1.4.1
temporarily active whenever you need it by setting the necessary variables and
paths from a java14.cmd file.

> apart from jSyncManager, perhaps PolarBar, and the various OS/2  Java GUI
> utilities, I don't knowingly use other Java applications, but, with Java 1.4 :
> 
> 'will it improve my internet experience' ?
> (internet banking ?)

Currently (I believe) there is no Java 1.4  plugin for Mozilla or Netscape. So
if you really need this I think it's best to wait or go for IBM Java 1.3.x.
However, I believe most internet banking uses JavaScript which has no relation
whatsoever with Sun, IBM or any other Java version. With respect to your Java
applications: if they run well with your current Java version, I see no reason
to 'upgrade' to Java 1.4.1. However, if you would like to run (future)
applications that need Java 1.4.x, download and try Innotek's OS/2 Kit for Java.

You see, there is no simple Yes or No answer. it al depends on what you would
like to be able do. I hope this may have helped you to decide for yourself what
you need.

Kind regards,

--
Roger Troost
Polarbar / eComStation
Visit OS/2 Java Corner at http://home.hccnet.nl/rjj.troost/japp4os2.htm
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 6 Mar 2003 05:29:45 -0500
From:  Chris_Neeson at compuserve dot com
Subject:  Re: [os2genau] Windowed dos sessions??

I thought you could type in your own disk parms for
User Types.

I also seem to remember a lot of 3rd party EIDE controllers
used to tell you to set Type=1, and their BIOS/firmware took
care of it for you
( depends what's doing your IDE controlling on this mb ).

Since OS/2 is working fine, but DOS sessions aren't,
it seems that Warp is happy,
but possibly some of the hardware support code
being used by MDOS isn't.

Since the disk isn't properly recognised by the BIOS,
its something to resolve
( which MIGHT solve the other known problem ).

Ontrak's Disk Manager used to be good for solving
this sort of problem by using track remapping
- which is basically what the LBA and LARGE Type
  settings are doing
( though I don't know what size disks the current
  version supports ).

Regards
Chris

------------------- Gavin emailed -------------------------
 
Hi Chris,
>So it doesn't work with the bigger disk drive, mmmm?
>
>Have you tried increasing the virtual memory available to the DOS
sessions?
>( only 2M is available to EMM386 by default ).

No effect there.
>
>Else, do you have the larger disk defined as the old Type 47
>( User  defined parameters ) in your motherboard CMOS?
>
Interesting this.  Auto detect recognises the name of the drive but nothing
else.  The 
label on the drive reads:

16,383 cyl's
16 heads
63 Sect's
LBA 20,005,650

My CMOS choices are:

SIZE    |CYLS   |HDS    |PreComp        |LANDZ  |Sec    |MODE
---------------------------------------------------------------------------
------------------------
10241   | 1245  | 255   | 0             | 19845 | 63    | LBA
10243   | 19846 | 16    | 65535         | 19845 | 63    | Normal
10240   | 2480  | 128   | 65535         | 19845 | 63    | Large

These are USER settings.  I cannot choose TYPE other than USER, AUTO or
NONE.  
Do you think the installation of warp went a little haywire because of
this?

>There used to be alternate ports for Type 47 disks in
>AMI CMOS Setup ( 0:300 and DOS 1K, by memory ).

My MB uses Award CMOS

>Else, throw the bones on the table ( ie I dunno ).

This might be a good idea.  System works great apart from this

>Regards
>Chris
>
>-------------------- Gavin emailed ( before thread became WarpVision )
>-------------------
> 
>Yes it was, and I now have the cli version of Warp Vision.  However all
dos
>programs 
>that aren't text based will not work in a window.
>
>Warp vision is a whole new set of problems for me though.  MPG's are all
>that it will play 
>for me; not even the AVI's from MMOS2 will play.  Oh well, just have to
>live with it.
>Thanks for trying to help.
>
>Cheers
>G
>
>On Tue, 04 Mar 2003 14:04:19 +1100, Ed Durrant wrote:
>
>>So the DOS program was an MPEG player ? Have you tried WarpVision ?? It's
>a 
>native Mpeg plus
>>DVD player for OS/2, out of Kiev.
>>
>>Check it out at http://www.os2.kiev.ua
>>
>>Ed.
>>
>>Gavin Miller wrote:
>>
>>> >I don't know if it's relevant but there was some HD limit at 8GB in
the
>past. But I really
>>> can't
>>> >see a different HD being the cause of the Video problem  with a DOS
>program !
>>>
>>> No neither can I, so I don't know what the problem is.  Anyway the 10G
>in split into two
>>> 2G Win98 primary partitions, 1G OS/2 hpfs logical and a 4G hpfs
logical;
>and BM.
>>>
>>> I guess I won't be using any DOS mpeg players, unless I want some very
>ugly full
>>> screen jaggies ;-)
>>>
>>> Cheers
>>> G
>>>
>>>
>--------------------------------------------------------------------------
-
>-------
>>>  

>--------------------------------------------------------------------------
--------
> 
>

---------------------------------------------------------------------------
-------

----------------------- Internet Header --------------------------------
Sender:<deadmail>
Received: from server1.os2site dot com (server1.os2site dot com [210.8.201.168])
        by siaag1af dot compuserve dot com (8.12.8/8.12.7/SUN-2.4) with ESMTP id
h254L4Yt018736
        for <Chris_Neeson at compuserve dot com>; Tue, 4 Mar 2003 23:21:06 -0500
(EST)
Received: from silenus.impulse dot net dot au (silenus.impulse dot net dot au
[210.9.195.23])
  by server1.os2site dot com (Weasel v1.63) for <os2genau at os2 dot org dot au>; 
 05 Mar 2003 15:20:58 +1100
From: "Gavin Miller" <drumextreme at impulse dot net dot au>
To: "os2genau at os2 dot org dot au" <os2genau at os2 dot org dot au>
Date: Wed, 05 Mar 2003 15:24:25 +1100 (EDT)
Priority: Normal
Subject: Re: [os2genau] Windowed dos sessions??
Reply-To: os2genau at os2 dot org dot au

----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Thu, 06 Mar 2003 12:22:16 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re: [os2genau] OS/2 Java Corner update!

Roger Troost schreef:

> However, I believe most internet banking uses JavaScript which has no relation
> whatsoever with Sun, IBM or any other Java version.

Bottom line: It may be confusing, but javascript *is not* java.

--
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------